Using the IplImageConverter (rev 194 from trunk) causes a segmentation fault. gdb backtrace:

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x9f0e5b70 (LWP 27182)]
0x08084538 in rst::converter::iplimageconverter::convertYUV422ToBGR(int, int, unsigned char const*, unsigned char*) ()
(gdb) bt
#0  0x08084538 in rst::converter::iplimageconverter::convertYUV422ToBGR(int, int, unsigned char const*, unsigned char*) ()
#1  0x0808624c in rst::converter::iplimageconverter::IplImageConverter::deserialize(std::string const&, std::string const&) ()
#2  0xb7e5a2c8 in rsb::converter::EventsByScopeMapConverter::deserialize (this=0x816ca88, wireSchema=..., wire=...)
    at
/home/tebra_admin/workspace/gar-installer/rsx/rsb/work/main.d/rsb-svn/src/rsb/converter/EventsByScopeMapConverter.cpp:154
#3  0xb7f197da in rsb::transport::socket::InPushConnector::handle (this=0x81765e0, busEvent=...) at /home/tebra_admin/workspace/gar-installer/rsx/rsb/work/main.d/rsb-svn/src/rsb/transport/socket/InPushConnector.cpp:120
#4  0xb7ef5cd0 in rsb::transport::socket::Bus::handleIncoming (this=0x8177a70, event=...) at /home/tebra_admin/workspace/gar-installer/rsx/rsb/work/main.d/rsb-svn/src/rsb/transport/socket/Bus.cpp:183
#5  0xb7ee0cad in rsb::transport::socket::BusConnection::handleReadBody (this=0x8177bb0, error=..., bytesTransferred=1239009, expected=1239009)
    at /home/tebra_admin/workspac
54
#3  0xb7f197da in rsb::transport::socket::InPushConnector::handle (this=0x81765e0, busEvent=...) at
/home/tebra_admin/workspace/gar-installer/rsx/rsb/work/main.d/rsb-svn/src/rsb/transport/socket/InPushConnector.cpp:120
#4  0xb7ef5cd0 in rsb::transport::socket::Bus::handleIncoming (this=0x8177a70, event=...) at
/home/tebra_admin/workspace/gar-installer/rsx/rsb/work/main.d/rsb-svn/src/rsb/transport/socket/Bus.cpp:183
#5  0xb7ee0cad in rsb::transport::socket::BusConnection::handleReadBody (this=0x8177bb0, error=...,
bytesTransferred=1239009, expected=1239009)
    at /home/tebra_admin/workspace/gar-installer/rsx/rsb/work/main.d/rsb-svn/src/rsb/transport/socket/BusConnection.cpp:203
#6  0xb7ef27a1 in boost::_mfi::mf3<void, rsb::transport::socket::BusConnection, boost::system::error_code const&, unsigned
int, unsigned int>::call<boost::shared_ptr<rsb::transport::socket::BusConnection>, boost::system::error_code const, unsigned
int, unsigned int> (this=0x9f0e4f60, u=..., b1=..., b2=@0x9f0e4dac, b3=@0x9f0e4db0) at
/usr/include/boost/bind/mem_fn_template.hpp:375
#7  0xb7ef2538 in boost::_mfi::mf3<void, rsb::transport::socket::BusConnection, boost::system::error_code const&, unsigned
int, unsigned int>::operator()<boost::shared_ptr<rsb::transport::socket::BusConnection> > (this=0x9f0e4f60, 
    u=..., a1=..., a2=1239009, a3=1239009) at /usr/include/boost/bind/mem_fn_template.hpp:389
#8  0xb7ef2f9a in boost::_bi::list4<boost::_bi::value<boost::shared_ptr<rsb::transport::socket::BusConnection> >, boost::arg<1>
(*)(), boost::arg<2> (*)(), boost::_bi::value<unsigned int> >::operator()<boost::_mfi::mf3<void,
rsb::transport::socket::BusConnection, boost::system::error_code const&, unsigned int, unsigned int>,
boost::_bi::list2<boost::system::error_code const&, unsigned int&> > (this=0x9f0e4f68, f=..., a=...) at
/usr/include/boost/bind/bind.hpp:450
#9  0xb7ef2df8 in boost::_bi::bind_t<void, boost::_mfi::mf3<void, rsb::transport::socket::BusConnection,
boost::system::error_code const&, unsigned int, unsigned int>,
boost::_bi::list4<boost::_bi::value<boost::shared_ptr<rsb::transport::socket::BusConnection> >, boost::arg<1> (*)(),
boost::arg<2> (*)(), boost::_bi::value<unsigned int> > >::operator()<boost::system::error_code, unsigned int> (this=0x9f0e4f60,
a1=..., a2=@0x9f0e4f58)
    at /usr/include/boost/bind/bind_template.hpp:76
#10 0xb7ef2c77 in boost::asio::detail::read_handler<boost::asio::basic_stream_socket<boost::asio::ip::tcp,
boost::asio::stream_socket_service<boost::asio::ip::tcp> >, boost::asio::mutable_buffers_1, boost::asio::detail::transfer_all_t,
boost::_bi::bind_t<void, boost::_mfi::mf3<void, rsb::transport::socket::BusConnection, boost::system::error_code const&,
unsigned int, unsigned int>, boost::_bi::list4<boost::_bi::value<boost::shared_ptr<rsb::transport::socket::BusConnection> >,
boost::arg<1> (*)(), boost::arg<2> (*)(), boost::_bi::value<unsigned int> > > >::operator() (this=0x9f0e4f38, ec=...,
bytes_transferred=42977) at /usr/include/boost/asio/impl/read.ipp:154
#11 0xb7ef2e31 in
boost::asio::detail::binder2<boost::asio::detail::read_handler<boost::asio::basic_stream_socket<boost::asio::ip::tcp,
boost::asio::stream_socket_service<boost::asio::ip::tcp> >, boost::asio::mutable_buffers_1, boost::asio::detail::transfer_all_t,
boost::_bi::bind_t<void, boost::_mfi::mf3<void, rsb::transport::socket::BusConnection, boost::system::error_code const&,
unsigned int, unsigned int>, boost::_bi::list4<boost::_bi::value<boost::shared_ptr<rsb::transport::socket::BusConnection> >,
boost::arg<1> (*)(), boost::arg<2> (*)(), boost::_bi::value<unsigned int> > > >, boost::system::error_code, unsigned
int>::operator() (this=0x9f0e4f38)
    at /usr/include/boost/asio/detail/bind_handler.hpp:96
#12 0xb7ef2d05 in
boost::asio::asio_handler_invoke<boost::asio::detail::binder2<boost::asio::detail::read_handler<boost::asio::basic_stream_socket<boost::asio::ip::tcp, boost::asio::stream_socket_service<boost::asio::ip::tcp> >, boost::asio::mutable_buffers_1, boost::asio::detail::transfer_all_t, boost::_bi::bind_t<void, boost::_mfi::mf3<void, rsb::transport::socket::BusConnection, boost::system::error_code const&, unsigned int, unsigned int>, boost::_bi::list4<boost::_bi::value<boost::shared_ptr<rsb::transport::socket::BusConnection> >, boost::arg<1> (*)(), boost::arg<2> (*)(), boost::_bi::value<unsigned int> > > >, boost::system::error_code, unsigned int> > (function=...)
    at /usr/include/boost/asio/handler_invoke_hook.hpp:62
#13 0xb7ef29fd in boost_asio_handler_invoke_helpers::invoke<boost::asio::detail::binder2<boost::asio::detail::read_handler<boost::asio::basic_stream_socket<boost::asio::ip::tcp, boost::asio::stream_socket_service<boost::asio::ip::tcp> >, boost::asio::mutable_buffers_1, boost::asio::detail::transfer_all_t, boost::_bi::bind_t<void, boost::_mfi::mf3<void, rsb::transport::socket::BusConnection, boost::system::error_code const&, unsigned int, unsigned int>, boost::_bi::list4<boost::_bi::value<boost::shared_ptr<rsb::transport::socket::BusConnection> >, boost::arg<1> (*)(), boost::arg<2> (*)(), boost::_bi::value<unsigned int> > > >, boost::system::error_code, unsigned int>, boost::_bi::bind_t<void, boost::_mfi::mf3<void, rsb::transport::socket::BusConnection, boost::system::error_code const&, unsigned int, unsigned int>, boost::_bi::list4<boost::_bi::value<boost::shared_ptr<rsb::transport::socket::BusConnection> >, boost::arg<1> (*)(), boost::arg<2> (*)(), boost::_bi::value<unsigned int> > > > (function=..., context=0x9f0e5064) at /usr/include/boost/asio/detail/handler_invoke_helpers.hpp:39
#14 0xb7ef2816 in boost::asio::detail::asio_handler_invoke<boost::asio::detail::binder2<boost::asio::detail::read_handler<boost::asio::basic_stream_socket<boost::asio::ip::tcp, boost::asio::stream_socket_service<boost::asio::ip::tcp> >, boost::asio::mutable_buffers_1, boost::asio::detail::transfer_all_t, boost::_bi::bind_t<void, boost::_mfi::mf3<void, rsb::transport::socket::BusConnection, boost::system::error_code const&, unsigned int, unsigned int>, boost::_bi::list4<boost::_bi::value<boost::shared_ptr<rsb::transport::socket::BusConnection> >, boost::arg<1> (*)(), boost::arg<2> (*)(), boost::_bi::value<unsigned int> > > >, boost::system::error_code, unsigned int>, boost::asio::basic_stream_socket<boost::asio::ip::tcp, boost::asio::stream_socket_service<boost::asio::ip::tcp> >, boost::asio::mutable_buffers_1, boost::asio::detail::transfer_all_t, boost::_bi::bind_t<void, boost::_mfi::mf3<void, rsb::transport::socket::BusConnection, boost::system::error_code const&, unsigned int, unsigned int>, boost::_bi::list4<boost::_bi::value<boost::shared_ptr<rsb::transport::socket::BusConnection> >, boost::arg<1> (*)(), boost::arg<2> (*)(), boost::_bi::value<unsigned int> > > > (function=..., this_handler=0x9f0e503c) at /usr/include/boost/asio/impl/read.ipp:197
#15 0xb7ef262e in boost_asio_handler_invoke_helpers::invoke<boost::asio::detail::binder2<boost::asio::detail::read_handler<boost::asio::basic_stream_socket<boost::asio::ip::tcp, boost::asio::stream_socket_service<boost::asio::ip::tcp> >, boost::asio::mutable_buffers_1, boost::asio::detail::transfer_all_t, boost::_bi::bind_t<void, boost::_mfi::mf3<void, rsb::transport::socket::BusConnection, boost::system::error_code const&, unsigned int, unsigned int>, boost::_bi::list4<boost::_bi::value<boost::shared_ptr<rsb::transport::socket::BusConnection> >, boost::arg<1> (*)(), boost::arg<2> (*)(), boost::_bi::value<unsigned int> > > >, boost::system::error_code, unsigned int>, boost::asio::detail::read_handler<boost::asio::basic_stream_socket<boost::asio::ip::tcp, boost::asio::stream_socket_service<boost::asio::ip::tcp> >, boost::asio::mutable_buffers_1, boost::asio::detail::transfer_all_t, boost::_bi::bind_t<void, boost::_mfi::mf3<void, rsb::transport::socket::BusConnection, boost::system::error_code const&, unsigned int, unsigned int>, boost::_bi::list4<boost::_bi::value<boost::shared_ptr<rsb::transport::socket::BusConnection> >, boost::arg<1> (*)(), boost::arg<2> (*)(), boost::_bi::value<unsigned int> > > > > (function=..., context=0x9f0e503c) at /usr/include/boost/asio/detail/handler_invoke_helpers.hpp:39
#16 0xb7ef2160 in boost::asio::detail::asio_handler_invoke<boost::asio::detail::binder2<boost::asio::detail::read_handler<boost::asio::basic_stream_socket<boost::asio::ip::tcp, boost::asio::stre
et<boost::asio::ip::tcp, boost::asio::stream_socket_service<boost::asio::ip::tcp> >, boost::asio::mutable_buffers_1,
boost::asio::detail::transfer_all_t, boost::_bi::bind_t<void, boost::_mfi::mf3<void, rsb::transport::socket::BusConnection,
boost::system::error_code const&, unsigned int, unsigned int>,
boost::_bi::list4<boost::_bi::value<boost::shared_ptr<rsb::transport::socket::BusConnection> >, boost::arg<1> (*)(),
boost::arg<2> (*)(), boost::_bi::value<unsigned int> > > >, boost::system::error_code, unsigned int> > (function=...)
    at /usr/include/boost/asio/handler_invoke_hook.hpp:62
#13 0xb7ef29fd in
boost_asio_handler_invoke_helpers::invoke<boost::asio::detail::binder2<boost::asio::detail::read_handler<boost::asio::basic_stream_socket<boost::asio::ip::tcp, boost::asio::stream_socket_service<boost::asio::ip::tcp> >, boost::asio::mutable_buffers_1, boost::asio::detail::transfer_all_t, boost::_bi::bind_t<void, boost::_mfi::mf3<void, rsb::transport::socket::BusConnection, boost::system::error_code const&, unsigned int, unsigned int>, boost::_bi::list4<boost::_bi::value<boost::shared_ptr<rsb::transport::socket::BusConnection> >, boost::arg<1> (*)(), boost::arg<2> (*)(), boost::_bi::value<unsigned int> > > >, boost::system::error_code, unsigned int>, boost::_bi::bind_t<void, boost::_mfi::mf3<void, rsb::transport::socket::BusConnection, boost::system::error_code const&, unsigned int, unsigned int>, boost::_bi::list4<boost::_bi::value<boost::shared_ptr<rsb::transport::socket::BusConnection> >, boost::arg<1> (*)(), boost::arg<2> (*)(), boost::_bi::value<unsigned int> > > > (function=..., context=0x9f0e5064) at /usr/include/boost/asio/detail/handler_invoke_helpers.hpp:39
#14 0xb7ef2816 in boost::asio::detail::asio_handler_invoke<boost::asio::detail::binder2<boost::asio::detail::read_handler<boost::asio::basic_stream_socket<boost::asio::ip::tcp, boost::asio::stream_socket_service<boost::asio::ip::tcp> >, boost::asio::mutable_buffers_1, boost::asio::detail::transfer_all_t, boost::_bi::bind_t<void, boost::_mfi::mf3<void, rsb::transport::socket::BusConnection, boost::system::error_code const&, unsigned int, unsigned int>, boost::_bi::list4<boost::_bi::value<boost::shared_ptr<rsb::transport::socket::BusConnection> >, boost::arg<1> (*)(), boost::arg<2> (*)(), boost::_bi::value<unsigned int> > > >, boost::system::error_code, unsigned int>, boost::asio::basic_stream_socket<boost::asio::ip::tcp, boost::asio::stream_socket_service<boost::asio::ip::tcp> >, boost::asio::mutable_buffers_1, boost::asio::detail::transfer_all_t, boost::_bi::bind_t<void, boost::_mfi::mf3<void, rsb::transport::socket::BusConnection, boost::system::error_code const&, unsigned int, unsigned int>, boost::_bi::list4<boost::_bi::value<boost::shared_ptr<rsb::transport::socket::BusConnection> >, boost::arg<1> (*)(), boost::arg<2> (*)(), boost::_bi::value<unsigned int> > > > (function=..., this_handler=0x9f0e503c) at /usr/include/boost/asio/impl/read.ipp:197
#15 0xb7ef262e in boost_asio_handler_invoke_helpers::invoke<boost::asio::detail::binder2<boost::asio::detail::read_handler<boost::asio::basic_stream_socket<boost::asio::ip::tcp, boost::asio::stream_socket_service<boost::asio::ip::tcp> >, boost::asio::mutable_buffers_1, boost::asio::detail::transfer_all_t, boost::_bi::bind_t<void, boost::_mfi::mf3<void, rsb::transport::socket::BusConnection, boost::system::error_code const&, unsigned int, unsigned int>, boost::_bi::list4<boost::_bi::value<boost::shared_ptr<rsb::transport::socket::BusConnection> >, boost::arg<1> (*)(), boost::arg<2> (*)(), boost::_bi::value<unsigned int> > > >, boost::system::error_code, unsigned int>, boost::asio::detail::read_handler<boost::asio::basic_stream_socket<boost::asio::ip::tcp, boost::asio::stream_socket_service<boost::asio::ip::tcp> >, boost::asio::mutable_buffers_1, boost::asio::detail::transfer_all_t, boost::_bi::bind_t<void, boost::_mfi::mf3<void, rsb::transport::socket::BusConnection, boost::system::error_code const&, unsigned int, unsigned int>, boost::_bi::list4<boost::_bi::value<boost::shared_ptr<rsb::transport::socket::BusConnection> >, boost::arg<1> (*)(), boost::arg<2> (*)(), boost::_bi::value<unsigned int> > > > > (function=..., context=0x9f0e503c) at /usr/include/boost/asio/detail/handler_invoke_helpers.hpp:39
#16 0xb7ef2160 in boost::asio::detail::asio_handler_invoke<boost::asio::detail::binder2<boost::asio::detail::read_handler<boost::asio::basic_stream_socket<boost::asio::ip::tcp, boost::asio::stream_socket_service<boost::asio::ip::tcp> >, boost::asio::mutable_buffers_1, boost::asio::detail::transfer_all_t, boost::_bi::bind_t<void, boost::_mfi::mf3<void, rsb::transport::socket::BusConnection, boost::system::error_code const&, unsigned int, unsigned int>, boost::_bi::list4<boost::_bi::value<boost::shared_ptr<rsb::transport::socket::BusConnection> >, boost::arg<1> (*)(), boost::arg<2> (*)(), boost::_bi::value<unsigned int> > > >, boost::system::error_code, unsigned int>, boost::asio::detail::read_handler<boost::asio::basic_stream_socket<boost::asio::ip::tcp, boost::asio::stream_socket_service<boost::asio::ip::tcp> >, boost::asio::mutable_buffers_1, boost::asio::detail::transfer_all_t, boost::_bi::bind_t<void, boost::_mfi::mf3<void, rsb::transport::socket::BusConnection, boost::system::error_code const&, unsigned int, unsigned int>, boost::_bi::list4<boost::_bi::value<boost::shared_ptr<rsb::transport::socket::BusConnection> >, boost::arg<1> (*)(), boost::arg<2> (*)(), boost::_bi::value<unsigned int> > > >, boost::system::error_code, unsigned int> (function=..., this_handler=0x9f0e503c) at /usr/include/boost/asio/detail/bind_handler.hpp:130
#17 0xb7ef1df6 in boost_asio_handler_invoke_helpers::invoke<boost::asio::detail::binder2<boost::asio::detail::read_handler<boost::asio::basic_stream_socket<boost::asio::ip::tcp, boost::asio::stream_socket_service<boost::asio::ip::tcp> >, boost::asio::mutable_buffers_1, boost::asio::detail::transfer_all_t, boost::_bi::
tream_socket<boost::asio::ip::tcp, boost::asio::stream_socket_service<boost::asio::ip::tcp> >, boost::asio::mutable_buffers_1,
boost::asio::detail::transfer_all_t, boost::_bi::bind_t<void, boost::_mfi::mf3<void, rsb::transport::socket::BusConnection,
boost::system::error_code const&, unsigned int, unsigned int>,
boost::_bi::list4<boost::_bi::value<boost::shared_ptr<rsb::transport::socket::BusConnection> >, boost::arg<1> (*)(),
boost::arg<2> (*)(), boost::_bi::value<unsigned int> > > >, boost::system::error_code, unsigned int>, boost::_bi::bind_t<void,
boost::_mfi::mf3<void, rsb::transport::socket::BusConnection, boost::system::error_code const&, unsigned int, unsigned int>,
boost::_bi::list4<boost::_bi::value<boost::shared_ptr<rsb::transport::socket::BusConnection> >, boost::arg<1> (*)(),
boost::arg<2> (*)(), boost::_bi::value<unsigned int> > > > (function=..., context=0x9f0e5064) at
/usr/include/boost/asio/detail/handler_invoke_helpers.hpp:39
#14 0xb7ef2816 in
boost::asio::detail::asio_handler_invoke<boost::asio::detail::binder2<boost::asio::detail::read_handler<boost::asio::basic_stream_socket<boost::asio::ip::tcp, boost::asio::stream_socket_service<boost::asio::ip::tcp> >, boost::asio::mutable_buffers_1, boost::asio::detail::transfer_all_t, boost::_bi::bind_t<void, boost::_mfi::mf3<void, rsb::transport::socket::BusConnection, boost::system::error_code const&, unsigned int, unsigned int>, boost::_bi::list4<boost::_bi::value<boost::shared_ptr<rsb::transport::socket::BusConnection> >, boost::arg<1> (*)(), boost::arg<2> (*)(), boost::_bi::value<unsigned int> > > >, boost::system::error_code, unsigned int>, boost::asio::basic_stream_socket<boost::asio::ip::tcp, boost::asio::stream_socket_service<boost::asio::ip::tcp> >, boost::asio::mutable_buffers_1, boost::asio::detail::transfer_all_t, boost::_bi::bind_t<void, boost::_mfi::mf3<void, rsb::transport::socket::BusConnection, boost::system::error_code const&, unsigned int, unsigned int>, boost::_bi::list4<boost::_bi::value<boost::shared_ptr<rsb::transport::socket::BusConnection> >, boost::arg<1> (*)(), boost::arg<2> (*)(), boost::_bi::value<unsigned int> > > > (function=..., this_handler=0x9f0e503c) at /usr/include/boost/asio/impl/read.ipp:197
#15 0xb7ef262e in boost_asio_handler_invoke_helpers::invoke<boost::asio::detail::binder2<boost::asio::detail::read_handler<boost::asio::basic_stream_socket<boost::asio::ip::tcp, boost::asio::stream_socket_service<boost::asio::ip::tcp> >, boost::asio::mutable_buffers_1, boost::asio::detail::transfer_all_t, boost::_bi::bind_t<void, boost::_mfi::mf3<void, rsb::transport::socket::BusConnection, boost::system::error_code const&, unsigned int, unsigned int>, boost::_bi::list4<boost::_bi::value<boost::shared_ptr<rsb::transport::socket::BusConnection> >, boost::arg<1> (*)(), boost::arg<2> (*)(), boost::_bi::value<unsigned int> > > >, boost::system::error_code, unsigned int>, boost::asio::detail::read_handler<boost::asio::basic_stream_socket<boost::asio::ip::tcp, boost::asio::stream_socket_service<boost::asio::ip::tcp> >, boost::asio::mutable_buffers_1, boost::asio::detail::transfer_all_t, boost::_bi::bind_t<void, boost::_mfi::mf3<void, rsb::transport::socket::BusConnection, boost::system::error_code const&, unsigned int, unsigned int>, boost::_bi::list4<boost::_bi::value<boost::shared_ptr<rsb::transport::socket::BusConnection> >, boost::arg<1> (*)(), boost::arg<2> (*)(), boost::_bi::value<unsigned int> > > > > (function=..., context=0x9f0e503c) at /usr/include/boost/asio/detail/handler_invoke_helpers.hpp:39
#16 0xb7ef2160 in boost::asio::detail::asio_handler_invoke<boost::asio::detail::binder2<boost::asio::detail::read_handler<boost::asio::basic_stream_socket<boost::asio::ip::tcp, boost::asio::stream_socket_service<boost::asio::ip::tcp> >, boost::asio::mutable_buffers_1, boost::asio::detail::transfer_all_t, boost::_bi::bind_t<void, boost::_mfi::mf3<void, rsb::transport::socket::BusConnection, boost::system::error_code const&, unsigned int, unsigned int>, boost::_bi::list4<boost::_bi::value<boost::shared_ptr<rsb::transport::socket::BusConnection> >, boost::arg<1> (*)(), boost::arg<2> (*)(), boost::_bi::value<unsigned int> > > >, boost::system::error_code, unsigned int>, boost::asio::detail::read_handler<boost::asio::basic_stream_socket<boost::asio::ip::tcp, boost::asio::stream_socket_service<boost::asio::ip::tcp> >, boost::asio::mutable_buffers_1, boost::asio::detail::transfer_all_t, boost::_bi::bind_t<void, boost::_mfi::mf3<void, rsb::transport::socket::BusConnection, boost::system::error_code const&, unsigned int, unsigned int>, boost::_bi::list4<boost::_bi::value<boost::shared_ptr<rsb::transport::socket::BusConnection> >, boost::arg<1> (*)(), boost::arg<2> (*)(), boost::_bi::value<unsigned int> > > >, boost::system::error_code, unsigned int> (function=..., this_handler=0x9f0e503c) at /usr/include/boost/asio/detail/bind_handler.hpp:130
#17 0xb7ef1df6 in boost_asio_handler_invoke_helpers::invoke<boost::asio::detail::binder2<boost::asio::detail::read_handler<boost::asio::basic_stream_socket<boost::asio::ip::tcp, boost::asio::stream_socket_service<boost::asio::ip::tcp> >, boost::asio::mutable_buffers_1, boost::asio::detail::transfer_all_t, boost::_bi::bind_t<void, boost::_mfi::mf3<void, rsb::transport::socket::BusConnection, boost::system::error_code const&, unsigned int, unsigned int>, boost::_bi::list4<boost::_bi::value<boost::shared_ptr<rsb::transport::socket::BusConnection> >, boost::arg<1> (*)(), boost::arg<2> (*)(), boost::_bi::value<unsigned int> > > >, boost::system::error_code, unsigned int>, boost::asio::detail::binder2<boost::asio::detail::read_handler<boost::asio::basic_stream_socket<boost::asio::ip::tcp, boost::asio::stream_socket_service<boost::asio::ip::tcp> >, boost::asio::mutable_buffers_1, boost::asio::detail::transfer_all_t, boost::_bi::bind_t<void, boost::_mfi::mf3<void, rsb::transport::socket::BusConnection, boost::system::error_code const&, unsigned int, unsigned int>, boost::_bi::list4<boost::_bi::value<boost::shared_ptr<rsb::transport::socket::BusConnection> >, boost::arg<1> (*)(), boost::arg<2> (*)(), boost::_bi::value<unsigned int> > > >, boost::system::error_code, unsigned int> > (function=..., context=0x9f0e503c) at /usr/include/boost/asio/detail/handler_invoke_helpers.hpp:39
#18 0xb7ef197c in boost::asio::detail::handler_queue::handler_wrapper<boost::asio::detail::binder2<boost::asio::detail::read_handler<boost::asio::basic_stream_socket<boost::asio::ip::tcp, boost::asio::stream_socket_service<boost::asio::ip::tcp> >, boost::asio::mutable_buffers_1, boost::asio::detail::transfer_all_t, boost::_bi::bind_t<void, boost::_mfi::mf3<void, rsb::transport::socket::BusConnection, boost::system::error_code const&, unsigned int, unsigned int>, boost::_bi::list4<boost::_bi::value<boost::shared_ptr<rsb::transport::socket::BusConnection> >, boost::arg<1> (*)(), boost::arg<2> (*)(), boost::_bi::value<unsigned int> > > >, boost::system::error_code, unsigned int> >::do_call (
    base=0x8178668) at /usr/include/boost/asio/detail/handler_queue.hpp:192
---Type <return> to continue, or q <return> to quit---
#19 0xb7f09e0a in boost::asio::detail::handler_queue::handler::invoke (this=0x8178668) at /usr/include/boost/asio/detail/handler_queue.hpp:39
#20 0xb7f0c630 in boost::asio::detail::task_io_service<boost::asio::detail::epoll_reactor<false> >::do_one (this=0x81770a0, lock=..., this_idle_thread=0x9f0e5174,
_socket<boost::asio::ip::tcp, boost::asio::stream_socket_service<boost::asio::ip::tcp> >, boost::asio::mutable_buffers_1,
boost::asio::detail::transfer_all_t, boost::_bi::bind_t<void, boost::_mfi::mf3<void, rsb::transport::socket::BusConnection,
boost::system::error_code const&, unsigned int, unsigned int>,
boost::_bi::list4<boost::_bi::value<boost::shared_ptr<rsb::transport::socket::BusConnection> >, boost::arg<1> (*)(),
boost::arg<2> (*)(), boost::_bi::value<unsigned int> > > >, boost::system::error_code, unsigned int>,
boost::asio::basic_stream_socket<boost::asio::ip::tcp, boost::asio::stream_socket_service<boost::asio::ip::tcp> >,
boost::asio::mutable_buffers_1, boost::asio::detail::transfer_all_t, boost::_bi::bind_t<void, boost::_mfi::mf3<void,
rsb::transport::socket::BusConnection, boost::system::error_code const&, unsigned int, unsigned int>,
boost::_bi::list4<boost::_bi::value<boost::shared_ptr<rsb::transport::socket::BusConnection> >, boost::arg<1> (*)(),
boost::arg<2> (*)(), boost::_bi::value<unsigned int> > > > (function=..., this_handler=0x9f0e503c) at
/usr/include/boost/asio/impl/read.ipp:197
#15 0xb7ef262e in
boost_asio_handler_invoke_helpers::invoke<boost::asio::detail::binder2<boost::asio::detail::read_handler<boost::asio::basic_stream_socket<boost::asio::ip::tcp, boost::asio::stream_socket_service<boost::asio::ip::tcp> >, boost::asio::mutable_buffers_1, boost::asio::detail::transfer_all_t, boost::_bi::bind_t<void, boost::_mfi::mf3<void, rsb::transport::socket::BusConnection, boost::system::error_code const&, unsigned int, unsigned int>, boost::_bi::list4<boost::_bi::value<boost::shared_ptr<rsb::transport::socket::BusConnection> >, boost::arg<1> (*)(), boost::arg<2> (*)(), boost::_bi::value<unsigned int> > > >, boost::system::error_code, unsigned int>, boost::asio::detail::read_handler<boost::asio::basic_stream_socket<boost::asio::ip::tcp, boost::asio::stream_socket_service<boost::asio::ip::tcp> >, boost::asio::mutable_buffers_1, boost::asio::detail::transfer_all_t, boost::_bi::bind_t<void, boost::_mfi::mf3<void, rsb::transport::socket::BusConnection, boost::system::error_code const&, unsigned int, unsigned int>, boost::_bi::list4<boost::_bi::value<boost::shared_ptr<rsb::transport::socket::BusConnection> >, boost::arg<1> (*)(), boost::arg<2> (*)(), boost::_bi::value<unsigned int> > > > > (function=..., context=0x9f0e503c) at /usr/include/boost/asio/detail/handler_invoke_helpers.hpp:39
#16 0xb7ef2160 in boost::asio::detail::asio_handler_invoke<boost::asio::detail::binder2<boost::asio::detail::read_handler<boost::asio::basic_stream_socket<boost::asio::ip::tcp, boost::asio::stream_socket_service<boost::asio::ip::tcp> >, boost::asio::mutable_buffers_1, boost::asio::detail::transfer_all_t, boost::_bi::bind_t<void, boost::_mfi::mf3<void, rsb::transport::socket::BusConnection, boost::system::error_code const&, unsigned int, unsigned int>, boost::_bi::list4<boost::_bi::value<boost::shared_ptr<rsb::transport::socket::BusConnection> >, boost::arg<1> (*)(), boost::arg<2> (*)(), boost::_bi::value<unsigned int> > > >, boost::system::error_code, unsigned int>, boost::asio::detail::read_handler<boost::asio::basic_stream_socket<boost::asio::ip::tcp, boost::asio::stream_socket_service<boost::asio::ip::tcp> >, boost::asio::mutable_buffers_1, boost::asio::detail::transfer_all_t, boost::_bi::bind_t<void, boost::_mfi::mf3<void, rsb::transport::socket::BusConnection, boost::system::error_code const&, unsigned int, unsigned int>, boost::_bi::list4<boost::_bi::value<boost::shared_ptr<rsb::transport::socket::BusConnection> >, boost::arg<1> (*)(), boost::arg<2> (*)(), boost::_bi::value<unsigned int> > > >, boost::system::error_code, unsigned int> (function=..., this_handler=0x9f0e503c) at /usr/include/boost/asio/detail/bind_handler.hpp:130
#17 0xb7ef1df6 in boost_asio_handler_invoke_helpers::invoke<boost::asio::detail::binder2<boost::asio::detail::read_handler<boost::asio::basic_stream_socket<boost::asio::ip::tcp, boost::asio::stream_socket_service<boost::asio::ip::tcp> >, boost::asio::mutable_buffers_1, boost::asio::detail::transfer_all_t, boost::_bi::bind_t<void, boost::_mfi::mf3<void, rsb::transport::socket::BusConnection, boost::system::error_code const&, unsigned int, unsigned int>, boost::_bi::list4<boost::_bi::value<boost::shared_ptr<rsb::transport::socket::BusConnection> >, boost::arg<1> (*)(), boost::arg<2> (*)(), boost::_bi::value<unsigned int> > > >, boost::system::error_code, unsigned int>, boost::asio::detail::binder2<boost::asio::detail::read_handler<boost::asio::basic_stream_socket<boost::asio::ip::tcp, boost::asio::stream_socket_service<boost::asio::ip::tcp> >, boost::asio::mutable_buffers_1, boost::asio::detail::transfer_all_t, boost::_bi::bind_t<void, boost::_mfi::mf3<void, rsb::transport::socket::BusConnection, boost::system::error_code const&, unsigned int, unsigned int>, boost::_bi::list4<boost::_bi::value<boost::shared_ptr<rsb::transport::socket::BusConnection> >, boost::arg<1> (*)(), boost::arg<2> (*)(), boost::_bi::value<unsigned int> > > >, boost::system::error_code, unsigned int> > (function=..., context=0x9f0e503c) at /usr/include/boost/asio/detail/handler_invoke_helpers.hpp:39
#18 0xb7ef197c in boost::asio::detail::handler_queue::handler_wrapper<boost::asio::detail::binder2<boost::asio::detail::read_handler<boost::asio::basic_stream_socket<boost::asio::ip::tcp, boost::asio::stream_socket_service<boost::asio::ip::tcp> >, boost::asio::mutable_buffers_1, boost::asio::detail::transfer_all_t, boost::_bi::bind_t<void, boost::_mfi::mf3<void, rsb::transport::socket::BusConnection, boost::system::error_code const&, unsigned int, unsigned int>, boost::_bi::list4<boost::_bi::value<boost::shared_ptr<rsb::transport::socket::BusConnection> >, boost::arg<1> (*)(), boost::arg<2> (*)(), boost::_bi::value<unsigned int> > > >, boost::system::error_code, unsigned int> >::do_call (
    base=0x8178668) at /usr/include/boost/asio/detail/handler_queue.hpp:192
---Type <return> to continue, or q <return> to quit---
#19 0xb7f09e0a in boost::asio::detail::handler_queue::handler::invoke (this=0x8178668) at /usr/include/boost/asio/detail/handler_queue.hpp:39
#20 0xb7f0c630 in boost::asio::detail::task_io_service<boost::asio::detail::epoll_reactor<false> >::do_one (this=0x81770a0, lock=..., this_idle_thread=0x9f0e5174, ec=...) at /usr/include/boost/asio/detail/task_io_service.hpp:268
#21 0xb7f0abe6 in boost::asio::detail::task_io_service<boost::asio::detail::epoll_reactor<false> >::run (this=0x81770a0, ec=...) at /usr/include/boost/asio/detail/task_io_service.hpp:103
#22 0xb7f0a614 in boost::asio::io_service::run (this=0x8176f6c) at /usr/include/boost/asio/impl/io_service.ipp:58
#23 0xb7f16b5b in boost::_mfi::mf0<unsigned int, boost::asio::io_service>::operator()(boost::asio::io_service*) const () from /vol/taped/tebra_system/externals/lib/librsbcore.so.0.6.0
#24 0xb7f16ae8 in unsigned int boost::_bi::list1<boost::_bi::value<boost::asio::io_service*> >::operator()<unsigned int, boost::_mfi::mf0<unsigned int, boost::asio::io_service>, boost::_bi::list0>(boost::_bi::type<unsigned int>, boost::_mfi::mf0<unsigned int, boost::asio::io_service>&, boost::_bi::list0&, long) () from /vol/taped/tebra_system/externals/lib/librsbcore.so.0.6.0
#25 0xb7f16a9a in boost::_bi::bind_t<unsigned int, boost::_mfi::mf0<unsigned int, boost::asio::io_service>, boost::_bi::list1<boost::_bi::value<boost::asio::io_service*> > >::operator()() ()
   from /vol/taped/tebra_system/externals/lib/librsbcore.so.0.6.0
#26 0xb7f169b6 in boost::detail::thread_data<boost::_bi::bind_t<unsigned int, boost::_mfi::mf0<unsigned int, boost::asio::io_service>, boost::_bi::list1<boost::_bi::value<boost::asio::io_service*> > > >::run() ()
   from /vol/taped/tebra_system/externals/lib/librsbcore.so.0.6.0
#27 0xb6c9e7c5 in thread_proxy () from /usr/lib/libboost_thread.so.1.40.0
#28 0xb6caf96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#29 0xb6d90a4e in clone () from /lib/tls/i686/cmov/libc.so.6
/usr/include/boost/asio/detail/handler_invoke_helpers.hpp:39
#16 0xb7ef2160 in
boost::asio::detail::asio_handler_invoke<boost::asio::detail::binder2<boost::asio::detail::read_handler<boost::asio::basic_stream_socket<boost::asio::ip::tcp, boost::asio::stream_socket_service<boost::asio::ip::tcp> >, boost::asio::mutable_buffers_1, boost::asio::detail::transfer_all_t, boost::_bi::bind_t<void, boost::_mfi::mf3<void, rsb::transport::socket::BusConnection, boost::system::error_code const&, unsigned int, unsigned int>, boost::_bi::list4<boost::_bi::value<boost::shared_ptr<rsb::transport::socket::BusConnection> >, boost::arg<1> (*)(), boost::arg<2> (*)(), boost::_bi::value<unsigned int> > > >, boost::system::error_code, unsigned int>, boost::asio::detail::read_handler<boost::asio::basic_stream_socket<boost::asio::ip::tcp, boost::asio::stream_socket_service<boost::asio::ip::tcp> >, boost::asio::mutable_buffers_1, boost::asio::detail::transfer_all_t, boost::_bi::bind_t<void, boost::_mfi::mf3<void, rsb::transport::socket::BusConnection, boost::system::error_code const&, unsigned int, unsigned int>, boost::_bi::list4<boost::_bi::value<boost::shared_ptr<rsb::transport::socket::BusConnection> >, boost::arg<1> (*)(), boost::arg<2> (*)(), boost::_bi::value<unsigned int> > > >, boost::system::error_code, unsigned int> (function=..., this_handler=0x9f0e503c) at /usr/include/boost/asio/detail/bind_handler.hpp:130
#17 0xb7ef1df6 in boost_asio_handler_invoke_helpers::invoke<boost::asio::detail::binder2<boost::asio::detail::read_handler<boost::asio::basic_stream_socket<boost::asio::ip::tcp, boost::asio::stream_socket_service<boost::asio::ip::tcp> >, boost::asio::mutable_buffers_1, boost::asio::detail::transfer_all_t, boost::_bi::bind_t<void, boost::_mfi::mf3<void, rsb::transport::socket::BusConnection, boost::system::error_code const&, unsigned int, unsigned int>, boost::_bi::list4<boost::_bi::value<boost::shared_ptr<rsb::transport::socket::BusConnection> >, boost::arg<1> (*)(), boost::arg<2> (*)(), boost::_bi::value<unsigned int> > > >, boost::system::error_code, unsigned int>, boost::asio::detail::binder2<boost::asio::detail::read_handler<boost::asio::basic_stream_socket<boost::asio::ip::tcp, boost::asio::stream_socket_service<boost::asio::ip::tcp> >, boost::asio::mutable_buffers_1, boost::asio::detail::transfer_all_t, boost::_bi::bind_t<void, boost::_mfi::mf3<void, rsb::transport::socket::BusConnection, boost::system::error_code const&, unsigned int, unsigned int>, boost::_bi::list4<boost::_bi::value<boost::shared_ptr<rsb::transport::socket::BusConnection> >, boost::arg<1> (*)(), boost::arg<2> (*)(), boost::_bi::value<unsigned int> > > >, boost::system::error_code, unsigned int> > (function=..., context=0x9f0e503c) at /usr/include/boost/asio/detail/handler_invoke_helpers.hpp:39
#18 0xb7ef197c in boost::asio::detail::handler_queue::handler_wrapper<boost::asio::detail::binder2<boost::asio::detail::read_handler<boost::asio::basic_stream_socket<boost::asio::ip::tcp, boost::asio::stream_socket_service<boost::asio::ip::tcp> >, boost::asio::mutable_buffers_1, boost::asio::detail::transfer_all_t, boost::_bi::bind_t<void, boost::_mfi::mf3<void, rsb::transport::socket::BusConnection, boost::system::error_code const&, unsigned int, unsigned int>, boost::_bi::list4<boost::_bi::value<boost::shared_ptr<rsb::transport::socket::BusConnection> >, boost::arg<1> (*)(), boost::arg<2> (*)(), boost::_bi::value<unsigned int> > > >, boost::system::error_code, unsigned int> >::do_call (
    base=0x8178668) at /usr/include/boost/asio/detail/handler_queue.hpp:192
---Type <return> to continue, or q <return> to quit---
#19 0xb7f09e0a in boost::asio::detail::handler_queue::handler::invoke (this=0x8178668) at /usr/include/boost/asio/detail/handler_queue.hpp:39
#20 0xb7f0c630 in boost::asio::detail::task_io_service<boost::asio::detail::epoll_reactor<false> >::do_one (this=0x81770a0, lock=..., this_idle_thread=0x9f0e5174, ec=...) at /usr/include/boost/asio/detail/task_io_service.hpp:268
#21 0xb7f0abe6 in boost::asio::detail::task_io_service<boost::asio::detail::epoll_reactor<false> >::run (this=0x81770a0, ec=...) at /usr/include/boost/asio/detail/task_io_service.hpp:103
#22 0xb7f0a614 in boost::asio::io_service::run (this=0x8176f6c) at /usr/include/boost/asio/impl/io_service.ipp:58
#23 0xb7f16b5b in boost::_mfi::mf0<unsigned int, boost::asio::io_service>::operator()(boost::asio::io_service*) const () from /vol/taped/tebra_system/externals/lib/librsbcore.so.0.6.0
#24 0xb7f16ae8 in unsigned int boost::_bi::list1<boost::_bi::value<boost::asio::io_service*> >::operator()<unsigned int, boost::_mfi::mf0<unsigned int, boost::asio::io_service>, boost::_bi::list0>(boost::_bi::type<unsigned int>, boost::_mfi::mf0<unsigned int, boost::asio::io_service>&, boost::_bi::list0&, long) () from /vol/taped/tebra_system/externals/lib/librsbcore.so.0.6.0
#25 0xb7f16a9a in boost::_bi::bind_t<unsigned int, boost::_mfi::mf0<unsigned int, boost::asio::io_service>, boost::_bi::list1<boost::_bi::value<boost::asio::io_service*> > >::operator()() ()
   from /vol/taped/tebra_system/externals/lib/librsbcore.so.0.6.0
#26 0xb7f169b6 in boost::detail::thread_data<boost::_bi::bind_t<unsigned int, boost::_mfi::mf0<unsigned int, boost::asio::io_service>, boost::_bi::list1<boost::_bi::value<boost::asio::io_service*> > > >::run() ()
   from /vol/taped/tebra_system/externals/lib/librsbcore.so.0.6.0
#27 0xb6c9e7c5 in thread_proxy () from /usr/lib/libboost_thread.so.1.40.0
#28 0xb6caf96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
(function=..., context=0x9f0e503c) at /usr/include/boost/asio/detail/handler_invoke_helpers.hpp:39
#18 0xb7ef197c in
boost::asio::detail::handler_queue::handler_wrapper<boost::asio::detail::binder2<boost::asio::detail::read_handler<boost::asio::basic_stream_socket<boost::asio::ip::tcp, boost::asio::stream_socket_service<boost::asio::ip::tcp> >, boost::asio::mutable_buffers_1, boost::asio::detail::transfer_all_t, boost::_bi::bind_t<void, boost::_mfi::mf3<void, rsb::transport::socket::BusConnection, boost::system::error_code const&, unsigned int, unsigned int>, boost::_bi::list4<boost::_bi::value<boost::shared_ptr<rsb::transport::socket::BusConnection> >, boost::arg<1> (*)(), boost::arg<2> (*)(), boost::_bi::value<unsigned int> > > >, boost::system::error_code, unsigned int> >::do_call (
    base=0x8178668) at /usr/include/boost/asio/detail/handler_queue.hpp:192
---Type <return> to continue, or q <return> to quit---
#19 0xb7f09e0a in boost::asio::detail::handler_queue::handler::invoke (this=0x8178668) at /usr/include/boost/asio/detail/handler_queue.hpp:39
#20 0xb7f0c630 in boost::asio::detail::task_io_service<boost::asio::detail::epoll_reactor<false> >::do_one (this=0x81770a0, lock=..., this_idle_thread=0x9f0e5174, ec=...) at /usr/include/boost/asio/detail/task_io_service.hpp:268
#21 0xb7f0abe6 in boost::asio::detail::task_io_service<boost::asio::detail::epoll_reactor<false> >::run (this=0x81770a0, ec=...) at /usr/include/boost/asio/detail/task_io_service.hpp:103
#22 0xb7f0a614 in boost::asio::io_service::run (this=0x8176f6c) at /usr/include/boost/asio/impl/io_service.ipp:58
#23 0xb7f16b5b in boost::_mfi::mf0<unsigned int, boost::asio::io_service>::operator()(boost::asio::io_service*) const () from /vol/taped/tebra_system/externals/lib/librsbcore.so.0.6.0
#24 0xb7f16ae8 in unsigned int boost::_bi::list1<boost::_bi::value<boost::asio::io_service*> >::operator()<unsigned int, boost::_mfi::mf0<unsigned int, boost::asio::io_service>, boost::_bi::list0>(boost::_bi::type<unsigned int>, boost::_mfi::mf0<unsigned int, boost::asio::io_service>&, boost::_bi::list0&, long) () from /vol/taped/tebra_system/externals/lib/librsbcore.so.0.6.0
#25 0xb7f16a9a in boost::_bi::bind_t<unsigned int, boost::_mfi::mf0<unsigned int, boost::asio::io_service>, boost::_bi::list1<boost::_bi::value<boost::asio::io_service*> > >::operator()() ()
   from /vol/taped/tebra_system/externals/lib/librsbcore.so.0.6.0
#26 0xb7f169b6 in boost::detail::thread_data<boost::_bi::bind_t<unsigned int, boost::_mfi::mf0<unsigned int, boost::asio::io_service>, boost::_bi::list1<boost::_bi::value<boost::asio::io_service*> > > >::run() ()
   from /vol/taped/tebra_system/externals/lib/librsbcore.so.0.6.0
#27 0xb6c9e7c5 in thread_proxy () from /usr/lib/libboost_thread.so.1.40.0
#28 0xb6caf96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#29 0xb6d90a4e in clone () from /lib/tls/i686/cmov/libc.so.6

An ealier version of IplImageConverter (rev. 153 from trunk) works fine.

:basic_stream_socket<boost::asio::ip::tcp, boost::asio::stream_socket_service<boost::asio::ip::tcp> >,
boost::asio::mutable_buffers_1, boost::asio::detail::transfer_all_t, boost::_bi::bind_t<void, boost::_mfi::mf3<void,
rsb::transport::socket::BusConnection, boost::system::error_code const&, unsigned int, unsigned int>,
boost::_bi::list4<boost::_bi::value<boost::shared_ptr<rsb::transport::socket::BusConnection> >, boost::arg<1> (*)(),
boost::arg<2> (*)(), boost::_bi::value<unsigned int> > > >, boost::system::error_code, unsigned int> >::do_call (
    base=0x8178668) at /usr/include/boost/asio/detail/handler_queue.hpp:192
---Type <return> to continue, or q <return> to quit---
#19 0xb7f09e0a in boost::asio::detail::handler_queue::handler::invoke (this=0x8178668) at
/usr/include/boost/asio/detail/handler_queue.hpp:39
#20 0xb7f0c630 in boost::asio::detail::task_io_service<boost::asio::detail::epoll_reactor<false> >::do_one (this=0x81770a0,
lock=..., this_idle_thread=0x9f0e5174, ec=...) at /usr/include/boost/asio/detail/task_io_service.hpp:268
#21 0xb7f0abe6 in boost::asio::detail::task_io_service<boost::asio::detail::epoll_reactor<false> >::run (this=0x81770a0, ec=...)
at /usr/include/boost/asio/detail/task_io_service.hpp:103
#22 0xb7f0a614 in boost::asio::io_service::run (this=0x8176f6c) at /usr/include/boost/asio/impl/io_service.ipp:58
#23 0xb7f16b5b in boost::_mfi::mf0<unsigned int, boost::asio::io_service>::operator()(boost::asio::io_service*) const () from
/vol/taped/tebra_system/externals/lib/librsbcore.so.0.6.0
#24 0xb7f16ae8 in unsigned int boost::_bi::list1<boost::_bi::value<boost::asio::io_service*> >::operator()<unsigned int,
boost::_mfi::mf0<unsigned int, boost::asio::io_service>, boost::_bi::list0>(boost::_bi::type<unsigned int>,
boost::_mfi::mf0<unsigned int, boost::asio::io_service>&, boost::_bi::list0&, long) () from
/vol/taped/tebra_system/externals/lib/librsbcore.so.0.6.0
#25 0xb7f16a9a in boost::_bi::bind_t<unsigned int, boost::_mfi::mf0<unsigned int, boost::asio::io_service>,
boost::_bi::list1<boost::_bi::value<boost::asio::io_service*> > >::operator()() ()
   from /vol/taped/tebra_system/externals/lib/librsbcore.so.0.6.0
#26 0xb7f169b6 in boost::detail::thread_data<boost::_bi::bind_t<unsigned int, boost::_mfi::mf0<unsigned int,
boost::asio::io_service>, boost::_bi::list1<boost::_bi::value<boost::asio::io_service*> > > >::run() ()
   from /vol/taped/tebra_system/externals/lib/librsbcore.so.0.6.0
#27 0xb6c9e7c5 in thread_proxy () from /usr/lib/libboost_thread.so.1.40.0
#28 0xb6caf96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#29 0xb6d90a4e in clone () from /lib/tls/i686/cmov/libc.so.6

An ealier version of IplImageConverter (rev. 153 from trunk) works fine.

History
#1 - 01/19/2012 09:44 AM - S. Wrede
- Description updated
- Category set to cpp
- Assignee set to S. Wrede

#2 - 01/20/2012 09:29 PM - S. Wrede
- Status changed from New to Feedback
- Assignee changed from S. Wrede to C. Peters
- Target version set to 0.6
- % Done changed from 0 to 100

Tested this with the provided RSBag files on Linux and MacOS. Works fine for me now after the fix to the IplImageConverter as part of the fix in #812.

Could you test it also in your environment and close this ticket subsequently? Thx.

#3 - 01/24/2012 10:45 AM - C. Peters
- Status changed from Feedback to Resolved

#4 - 01/24/2012 10:47 AM - C. Peters
- Status changed from Resolved to Closed

#5 - 01/31/2012 12:17 PM - S. Wrede
- Target version deleted (0.6)
